#!/usr/bin/env Rscript

#cette commande permet de remplir la table de donnée stockée dans data.dat
#./perf3.sh | tee data.dat

library(ggplot2)

perf <- read.table("data.dat", header = TRUE )

ggplot(perf,aes(x=NombreEssais, y=TempsUtilisateur)) + geom_point() + facet_grid(Fonction~Structure)
ggsave("perf.png")

ggplot(perf,aes(x=NombreEssais, y=TempsUtilisateur, colour=TempsMemoire)) + geom_point() + geom_smooth() + facet_grid(Structure~Fonction)
ggsave("graph_temps.png")

ggplot(perf,aes(x=NombreEssais, y=TempsUtilisateur, colour=Structure)) + geom_point() + geom_smooth() 
ggsave("graph_memoire.png")
