package p4a;
// ouvrir un terminal au niveau jdev/P4a/P4a/src
//Dans le terminal, au niveau du package p4a, on utilise les lignes de commandes suivantes :
// javac p4a/*.java
// java p4a.Main 
//teste de l'arraylist de taille 1, fonction d'ajout en tete
// java p4a.Main 1 1 1 1 


public class Main {
    /**
     * @attributs
     */
    private static int nbrEssais = 0; //représente le nombre d'essais de la fonction
    private static int fonction = 0; //représente la fonction testée
    private static int structure = 0; //représente la structure sur laquelle on va effectuer des tests
    private static int affichage = 0; //entier qui détermine si on affichera le résultat ou non
    private static int ordre = 1000; //entier qui détermine l'ordre de grandeur des éléments contenus dans la structure de donnée
    private static String com=""; // commentaire affiché pour répeter ce qu'on utilise comme structure, comme fonction et comme nombre d'essai.
    private static Structure s; // c'est sur s que l'on va effectuer les tests

    /**
     * @programme principale
     */
    public static void main(String[] args) {        
        int i = 0;
        if (args.length < 3 || args.length > 5) {
            System.out.println("\n Main [nbrEssais] [Fonction] [Structure] [Option: affichage] [Option: ordre de grandeur]\nLe nombre d'argument n'est pas valide.\n Fonctions : \n    1. Ajouter en tête \n    2. Ajouter en Queue\n    3. Supprimer en tête\n    4. Supprimer en queue\n    5. Rechercher\nStructure :\n    1. ArrayList\n    2. LinkedList\nAffichage : \n    1.Oui");
        } 
        else {
            // les 3 premiers paramètres sot toujours renseignés
            nbrEssais = Integer.parseInt(args[0]);
            fonction = Integer.parseInt(args[1]);
            structure = Integer.parseInt(args[2]);
            
            // si length =4, soit on veut l'affichage en plus , soit on veut l'ordre de grandeur.
            if (args.length == 4 ){
                if (Integer.parseInt(args[3])==1){
                    affichage = 1;
                }
                else {
                    ordre = Integer.parseInt(args[3]);
                }
            }
            if (args.length == 5 ) {
                affichage = Integer.parseInt(args[3]);
                ordre = Integer.parseInt(args[4]);
            }
            
            if (ordre <1){
                ordre =1000;
                System.out.println("L'ordre est invalide, il sera par conséquent par défault (1000)\n");
            }

            if (nbrEssais < 1) {
                System.out.println("le nombre d'essais est invalide.");
            } else {
                //System.out.println(" nombre d'essais :" + nbrEssais + ", fonction numéro :" + fonction + ", structure :" + structure + ", affichage :" + affichage);
                com = com+"Structure : ";
                switch (structure) {
                case 1:
                    s = new SArrayList(ordre);
                    com = com+"ArrayList";
                    break;
                case 2:
                    s = new SLinkedList(ordre);
                    com = com+"Linked List";
                    break;
                default:
                    s = new SArrayList(ordre);
                    com = com+"ArrayList";
                    break;
                }
                
                com = com+", Fonction : ";
                switch (fonction) {
                case 1:
                    s.ajoutEnTete(nbrEssais);
                    com = com+"ajout en tête de";
                    break;
                case 2:
                    s.ajoutEnQueue(nbrEssais);
                    com = com+"ajout en queue de";
                    break;
                case 3:
                    s.ajoutEnTete(nbrEssais);
                    s.supprEnTete(nbrEssais);
                    com = com+"suppression en tete de";
                    break;
                case 4:
                    s.ajoutEnTete(nbrEssais);
                    s.supprEnQueue(nbrEssais);
                    com = com+"suppression en queue de";
                    break;
                case 5:
                    s.ajoutEnTete(nbrEssais);
                    com = com+"recherche de 1 élement parmi";
                    for (i = 0; i < nbrEssais; i++) {
                        s.rechercher(Math.random() * ordre);
                    }
                    break;
                default:
                    break;
                }
                com = com+" "+nbrEssais+" éléments.";
                if (affichage == 1) {
                    System.out.println(com);
                    s.afficher();
                }
            }
        }
    }
}
