#!/bin/bash

#https://ggplot2.tidyverse.org/



javac p4a/*.java

echo -e "NombreEssais\tFonction\tStructure\tOrdreGrandeur\tTempsUtilisateur\tTempsMemoire";

nbEssai[0]=1
nbEssai[1]=5
nbEssai[2]=10
nbEssai[3]=50
nbEssai[4]=100
nbEssai[5]=500
nbEssai[6]=1000
nbEssai[7]=1500
nbEssai[8]=2000
nbEssai[9]=2500
nbEssai[10]=3000
nbEssai[11]=3500
nbEssai[12]=4000
nbEssai[13]=4500
nbEssai[14]=5000
nbEssai[15]=5500
nbEssai[16]=6000
nbEssai[17]=6500
nbEssai[18]=7000
nbEssai[19]=7500
nbEssai[20]=8000
#nbEssai[7]=2500
#nbEssai[8]=5000
#nbEssai[9]=7500

operation[0]=1
operation[1]=2
operation[2]=3
operation[3]=4
operation[4]=5
structure[0]=1
structure[1]=2
ordreGrandeur[0]=10
ordreGrandeur[1]=100
ordreGrandeur[2]=1000
ordreGrandeur[3]=10000
ordreGrandeur[4]=100000

for nbE in ${nbEssai[*]}; do
    for operation in ${operation[*]}; do
        for type in ${structure[*]}; do
            for ordre in ${ordreGrandeur[*]}; do
                res=$((/usr/bin/time -f "\t%U\t%M" java p4a.Main $nbE $operation $type $ordre) 2>&1)
                echo -e "$nbE\t$operation\t$type\t$ordre\t$res"
            done
        done
    done
done

rm p4a/*.class
#ggplot(perf,aes(x=taille,y=temps))+geom_point() + geom_smooth()
